#if !defined(AFX_BOOKMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_)
#define AFX_BOOKMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgWinMgr.h : header file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include "SortMgr.h"


enum {
	COL_ID = 0,
	COL_DATA,
	COL_FILE,
	COL_LINE,
	COL_CODE,
};

/////////////////////////////////////////////////////////////////////////////
// CDlgBookMgr dialog
class RegValue;

class CDlgBookMgr : public CSortMgr
{
public:
  CDlgBookMgr();

  static void    Push();
  static void    Pop();

  static void    RefreshFile(CString f);
  static void    RemoveAllFromFile(CString f);
protected:
  static void    OnOpenFile(const RegValue& val);
  static void    push(int idx);

  virtual CString getName() {return "Bookmarks Manager";}
  virtual void OnInit();
	virtual void FillList();
  virtual int  Sort(LPARAM lParam1, LPARAM lParam2);
  virtual void OnDel();
  virtual void OnInsert();
  virtual void OnSelect(CMListCtrl& ctrl);

  static int GetCount();
  static int FindMax();
  static int FindLast();
  static int FindEmpty();

  static void DoDel(int idx,bool openFile);

};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGWINMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_)
