#if !defined(AFX_MLISTCTRL_H__C1AC212D_8ABF_11D1_B145_000000000000__INCLUDED_)
#define AFX_MLISTCTRL_H__C1AC212D_8ABF_11D1_B145_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// MyListCtrl.h : header file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include <afxcmn.h>

class IDlg;

/////////////////////////////////////////////////////////////////////////////
// CMListCtrl window
class CMListCtrl : public CListCtrl
{
// Construction
public:
	CMListCtrl(IDlg* mgr);

  using CListCtrl::SendMessage;
  using CListCtrl::DeleteAllItems;
  using CListCtrl::SetItemState;
  using CListCtrl::SetImageList;
  using CListCtrl::SetItemText;
  using CListCtrl::GetItemData;
  using CListCtrl::GetItemText;
  using CListCtrl::GetImageList;
  using CListCtrl::GetItemCount;
  using CListCtrl::ModifyStyle;
  using CListCtrl::FindItem;
  using CListCtrl::GetNextItem;
  using CListCtrl::GetNextSelectedItem;
  using CListCtrl::GetFirstSelectedItemPosition;

// Implementation
public:
	void SetWidths();
	void InsertColumn(int nCol, LPCTSTR lpszColumnHeading,
	int  nFormat = LVCFMT_LEFT, int nWidth = -1, int nSubItem = -1);
	void makeColumns(char* column,...);
	int InsertItem(int nItem, LPCTSTR lpszItem, LPARAM lItemData);
	int m_iSortedCol;
  void DoSort();

protected:
	int m_cCols;


	afx_msg void OnColumnclick(NMHDR* pNMHDR, LRESULT* pResult);
  afx_msg void OnDblclk(NMHDR* pNMHDR, LRESULT* pResult);
  afx_msg void OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags);

  IDlg* m_mgr;

  DECLARE_MESSAGE_MAP()
};


//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_MYLISTCTRL_H__C1AC212D_8ABF_11D1_B145_000000000000__INCLUDED_)
