/*@ NestorGDI.h                               Version from  24.02.99 12:41  */
/*                                              Created on  6/10/98 12:34PM */
/* Contents-----------------------------------------------------------------**
**                                                                          **
**                                                                          **
$*                                                                          */
/*--------------------------------------------------------------------------**
** Designed by Melnikov Mike                                               **
** Modified by Anton Riabov.                                                **
** COPYRIGHT (C) 1997-98 by Nestor Crew of Animatek Inc.                    **
** All rights reserved.                                                     **
** -------------------------------------------------------------------------*/
#ifndef _NestorGDI_h_
#define _NestorGDI_h_

/////////////////////////////////////////////////////////////////////////////
//   Font class

class  CNestorFont : public CFont
{
 public:
  CNestorFont();
  ~CNestorFont();

  bool  createPointFont(int size);
  CSize getSize(CString str);
};

class  CNestorLockFont
{
 public:
  CNestorLockFont(CDC& adc,CFont& font);
  ~CNestorLockFont();

 protected:
  CFont* pfnt;
  CDC&   dc;
};

class  CNestorLockBrush
{
 public:
  CNestorLockBrush(CDC& adc,CBrush& font);
  CNestorLockBrush(CDC& adc,COLORREF crColor );
  CNestorLockBrush(CDC& adc,int nIndex, COLORREF crColor );
  CNestorLockBrush(CDC& adc,CBitmap* pBitmap );
  ~CNestorLockBrush();

 protected:
  CBrush* pBrush;
  CBrush* m_brush;
  CDC&   dc;
};

class  CNestorLockPen
{
 public:
  CNestorLockPen(CDC& adc,CPen& pen);
  CNestorLockPen( CDC& adc, int nPenStyle, int nWidth, COLORREF crColor );
  CNestorLockPen( CDC& adc, int nPenStyle, int nWidth, const LOGBRUSH* pLogBrush, int nStyleCount = 0, const DWORD* lpStyle = NULL );
  ~CNestorLockPen();

 protected:
  CPen* pPen;
  CPen* m_pen;
  CDC&   dc;
};

class  CNestorLockBkMode
{
 public:
  CNestorLockBkMode(CDC& adc,int newBkMode);
  ~CNestorLockBkMode();

 protected:
  int     nBkMode;
  CDC&    dc;
};

#endif // _NestorGDI_h_
