
#include "cpp_lexer.h"
#include "y_tab.h"

cpp_lexer lexer;
int yyparse(void);
void output(const char* str){};

void testParse()
{
	lexer.yycreate();
  lexer.openFile("..\\test.cpp");
  yyparse();
  fclose(lexer.file);
} 

int yylex() 
{
  int q = lexer.yylex();
	return q;
} 

void yyerror(char*s) {
  output(s);
  getchar();
}
