#include <clex.h>

/* #line 1 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

//#include <ytab.h>
//#include "stdafx.h"
#include "y_tab.h"
#include "cppEx.h"
#include <string>
using namespace std;

// repeated because of possible precompiled header
#include <clex.h>

#include "cpp_lexer.h"

/////////////////////////////////////////////////////////////////////////////
// constructor

YYLEXNAME::YYLEXNAME()
{
	yytables();
/* #line 33 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

  yytables();
  openFile("d:\\bcl\\test.cpp");
//	  ::yydebug = true;

}

/* #line 43 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
   
#ifndef YYTEXT_SIZE
#define YYTEXT_SIZE 100
#endif
#ifndef YYUNPUT_SIZE
#define YYUNPUT_SIZE YYTEXT_SIZE
#endif

// backwards compatability with lex
#ifdef input
int YYLEXNAME::yyinput()
{
	return input();
}
#else
#define input yyinput
#endif

#ifdef output
void YYLEXNAME::yyoutput(int ch)
{
	output(ch);
}
#else
#define output yyoutput
#endif

#ifdef unput
void YYLEXNAME::yyunput(int ch)
{
	unput(ch);
}
#else
#define unput yyunput
#endif

#ifndef YYNBORLANDWARN
#ifdef __BORLANDC__
#pragma warn -rch		// <warning: unreachable code> off
#endif
#endif

int YYLEXNAME::yyaction(int action)
{
/* #line 116 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

extern Tag* yylval;

/* #line 120 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

// extract yylval for use later on in actions
//YYSTYPE& yylval = *(YYSTYPE*)yyparserptr->yylvalptr;

	yyreturnflg = 1;
	switch (action) {
	case 1:
		{
/* #line 133 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '#';
		}
		break;
	case 2:
		{
/* #line 134 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '{';
		}
		break;
	case 3:
		{
/* #line 135 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '}';
		}
		break;
	case 4:
		{
/* #line 136 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '(';
		}
		break;
	case 5:
		{
/* #line 137 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ')';
		}
		break;
	case 6:
		{
/* #line 138 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '[';
		}
		break;
	case 7:
		{
/* #line 139 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ']';
		}
		break;
	case 8:
		{
/* #line 140 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '<';
		}
		break;
	case 9:
		{
/* #line 141 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '>';
		}
		break;
	case 10:
		{
/* #line 142 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ';';
		}
		break;
	case 11:
		{
/* #line 143 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ':';
		}
		break;
	case 12:
		{
/* #line 144 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ',';
		}
		break;
	case 13:
		{
/* #line 145 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '.';
		}
		break;
	case 14:
		{
/* #line 146 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '=';
		}
		break;
	case 15:
		{
/* #line 147 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '-';
		}
		break;
	case 16:
		{
/* #line 148 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '/';
		}
		break;
	case 17:
		{
/* #line 149 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '\\';
		}
		break;
	case 18:
		{
/* #line 150 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '+';
		}
		break;
	case 19:
		{
/* #line 151 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '*';
		}
		break;
	case 20:
		{
/* #line 152 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '&';
		}
		break;
	case 21:
		{
/* #line 153 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '!';
		}
		break;
	case 22:
		{
/* #line 154 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '?';
		}
		break;
	case 23:
		{
/* #line 155 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '%';
		}
		break;
	case 24:
		{
/* #line 156 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '^';
		}
		break;
	case 25:
		{
/* #line 157 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return '~';
		}
		break;
	case 26:
		{
/* #line 159 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_EQ;
		}
		break;
	case 27:
		{
/* #line 160 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_LE;
		}
		break;
	case 28:
		{
/* #line 161 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_GE;
		}
		break;
	case 29:
		{
/* #line 162 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_NE;
		}
		break;
	case 30:
		{
/* #line 163 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_LOR;
		}
		break;
	case 31:
		{
/* #line 164 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_LAND;
		}
		break;
	case 32:
		{
/* #line 165 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_INC;
		}
		break;
	case 33:
		{
/* #line 166 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_DEC;
		}
		break;
	case 34:
		{
/* #line 167 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_SHR;
		}
		break;
	case 35:
		{
/* #line 168 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_SHL;
		}
		break;
	case 36:
		{
/* #line 169 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_SEGM;
		}
		break;
	case 37:
		{
/* #line 170 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_POINTSTAR;
		}
		break;
	case 38:
		{
/* #line 171 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_ARROWSTAR;
		}
		break;
	case 39:
		{
/* #line 172 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_ARROW;
		}
		break;
	case 40:
		{
/* #line 173 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_QUALIFY;
		}
		break;
	case 41:
		{
/* #line 174 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OP_SOME_POINTS;
		}
		break;
	case 42:
		{
/* #line 175 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_ADD;
		}
		break;
	case 43:
		{
/* #line 176 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_SUB;
		}
		break;
	case 44:
		{
/* #line 177 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_MUL;
		}
		break;
	case 45:
		{
/* #line 178 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_DIV;
		}
		break;
	case 46:
		{
/* #line 179 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_AND;
		}
		break;
	case 47:
		{
/* #line 180 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_OR;
		}
		break;
	case 48:
		{
/* #line 181 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_XOR;
		}
		break;
	case 49:
		{
/* #line 182 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_MOD;
		}
		break;
	case 50:
		{
/* #line 183 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_SHL;
		}
		break;
	case 51:
		{
/* #line 184 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASS_SHR;
		}
		break;
	case 52:
		{
/* #line 186 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ASM;
		}
		break;
	case 53:
		{
/* #line 187 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return DO;
		}
		break;
	case 54:
		{
/* #line 188 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return THROW;
		}
		break;
	case 55:
		{
/* #line 189 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return BOOL;
		}
		break;
	case 56:
		{
/* #line 190 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return DOUBLE;
		}
		break;
	case 57:
		{
/* #line 192 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return BREAK;
		}
		break;
	case 58:
		{
/* #line 193 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ELSE;
		}
		break;
	case 59:
		{
/* #line 194 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return INLINE;
		}
		break;
	case 60:
		{
/* #line 195 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return EXCEPT;
		}
		break;
	case 61:
		{
/* #line 196 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return TRY;
		}
		break;
	case 62:
		{
/* #line 197 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return CASE;
		}
		break;
	case 63:
		{
/* #line 198 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return INT;
		}
		break;
	case 64:
		{
/* #line 199 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return FINALLY;
		}
		break;
	case 65:
		{
/* #line 201 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return RETURN;
		}
		break;
	case 66:
		{
/* #line 202 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return VOID;
		}
		break;
	case 67:
		{
/* #line 203 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return CATCH;
		}
		break;
	case 68:
		{
/* #line 204 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return FLOAT;
		}
		break;
	case 69:
		{
/* #line 205 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return LONG;
		}
		break;
	case 70:
		{
/* #line 206 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return SHORT;
		}
		break;
	case 71:
		{
/* #line 207 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return VOLATILE;
		}
		break;
	case 72:
		{
/* #line 208 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return FOR;
		}
		break;
	case 73:
		{
/* #line 209 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return STATIC;
		}
		break;
	case 74:
		{
/* #line 210 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return WHILE;
		}
		break;
	case 75:
		{
/* #line 211 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return NEW;
		}
		break;
	case 76:
		{
/* #line 212 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return CONST;
		}
		break;
	case 77:
		{
/* #line 213 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return SIZEOF;
		}
		break;
	case 78:
		{
/* #line 214 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return SWITCH;
		}
		break;
	case 79:
		{
/* #line 215 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return CONTINUE;
		}
		break;
	case 80:
		{
/* #line 216 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return GOTO;
		}
		break;
	case 81:
		{
/* #line 217 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return OPERATOR;
		}
		break;
	case 82:
		{
/* #line 218 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return DEFAULT;
		}
		break;
	case 83:
		{
/* #line 219 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return IF;
		}
		break;
	case 84:
		{
/* #line 220 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return THIS;
		}
		break;
	case 85:
		{
/* #line 221 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return VIRTUAL;
		}
		break;
	case 86:
		{
/* #line 222 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return NAMESPACE;
		}
		break;
	case 87:
		{
/* #line 223 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return USING;
		}
		break;
	case 88:
		{
/* #line 224 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ENUM;
		}
		break;
	case 89:
		{
/* #line 225 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return EXTERN;
		}
		break;
	case 90:
		{
/* #line 226 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return TEMPLATE;
		}
		break;
	case 91:
		{
/* #line 227 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return FRIEND;
		}
		break;
	case 92:
		{
/* #line 228 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return TYPEDEF;
		}
		break;
	case 93:
		{
/* #line 229 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return CLASS;
		}
		break;
	case 94:
		{
/* #line 230 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return DELETE;
		}
		break;
	case 95:
		{
/* #line 231 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return DECLSPEC;
		}
		break;
	case 96:
		{
/* #line 232 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return TYPEID;
		}
		break;
	case 97:
		{
/* #line 233 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return STRUCT;
		}
		break;
	case 98:
		{
/* #line 234 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return UNION;
		}
		break;
	case 99:
		{
/* #line 235 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return PRIVATE;
		}
		break;
	case 100:
		{
/* #line 236 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return PROTECTED;
		}
		break;
	case 101:
		{
/* #line 237 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return PUBLIC;
		}
		break;
	case 102:
		{
/* #line 238 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return AUTO;
		}
		break;
	case 103:
		{
/* #line 239 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return REGISTER;
		}
		break;
	case 104:
		{
/* #line 240 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return TYPENAME;
		}
		break;
	case 105:
		{
/* #line 241 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return EXPLICIT;
		}
		break;
	case 106:
		{
/* #line 242 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return MUTABLE;
		}
		break;
	case 107:
		{
/* #line 243 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return EXPORT;
		}
		break;
	case 108:
		{
/* #line 245 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return IFDEF;
		}
		break;
	case 109:
		{
/* #line 246 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return IFNDEF;
		}
		break;
	case 110:
		{
/* #line 247 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ENDIF;
		}
		break;
	case 111:
		{
/* #line 248 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ELIF;
		}
		break;
	case 112:
		{
/* #line 249 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return INCLUDE;
		}
		break;
	case 113:
		{
/* #line 250 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return DEFINE;
		}
		break;
	case 114:
		{
/* #line 251 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return LINE;
		}
		break;
	case 115:
		{
/* #line 252 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return ERROR;
		}
		break;
	case 116:
		{
/* #line 253 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return PRAGMA;
		}
		break;
	case 117:
		{
/* #line 254 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return UNDEF;
		}
		break;
	case 118:
		{
/* #line 256 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return EXTENDED_DECL_MODIFIER;
		}
		break;
	case 119:
		{
/* #line 257 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return MS_MODIFIER;
		}
		break;
	case 120:
		{
/* #line 258 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return CAST_TYPE;
		}
		break;
	case 121:
		{
/* #line 260 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
yylval=new TagStr(yytext);return includeString;
		}
		break;
	case 122:
		{
/* #line 262 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
yylval=new TagStr(yytext);return identifier;
		}
		break;
	case 123:
		{
/* #line 263 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
yylval=new TagStr(yytext);return Literal;
		}
		break;
	case 124:
		{
/* #line 265 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

		}
		break;
	case 125:
		{
/* #line 266 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
return NEWLINE;
		}
		break;
	case 126:
		{
/* #line 267 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

		}
		break;
	case 127:
		{
/* #line 268 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

		}
		break;
	case 128:
		{
/* #line 269 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

		}
		break;
	case 129:
		{
/* #line 270 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */

		}
		break;
	case 130:
		{
/* #line 272 "D:\UsefulManagers_src\Newtags\cpp_lexer.l" */
/*new Comment(yytext);*/
		}
		break;
	default:
		yyassert(0);
		break;
	}
	yyreturnflg = 0;
	return 0;
}

#ifndef YYNBORLANDWARN
#ifdef __BORLANDC__
#pragma warn .rch		// <warning: unreachable code> to the old state
#endif
#endif

void YYLEXNAME::yytables()
{
	yystext_size = YYTEXT_SIZE;
	yysunput_size = YYUNPUT_SIZE;

	static const yymatch_t YYNEARFAR YYBASED_CODE match[] = {
		0
	};
	yymatch = match;

	yytransitionmax = 762;
	static const yytransition_t YYNEARFAR YYBASED_CODE transition[] = {
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 58, 1 },
		{ 57, 1 },
		{ 55, 1 },
		{ 0, 77 },
		{ 56, 1 },
		{ 54, 1 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 59, 1 },
		{ 23, 1 },
		{ 49, 1 },
		{ 3, 1 },
		{ 0, 0 },
		{ 25, 1 },
		{ 22, 1 },
		{ 53, 1 },
		{ 6, 1 },
		{ 7, 1 },
		{ 21, 1 },
		{ 20, 1 },
		{ 14, 1 },
		{ 17, 1 },
		{ 15, 1 },
		{ 18, 1 },
		{ 52, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 51, 1 },
		{ 13, 1 },
		{ 12, 1 },
		{ 10, 1 },
		{ 16, 1 },
		{ 11, 1 },
		{ 24, 1 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 51, 51 },
		{ 0, 70 },
		{ 140, 65 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 70, 70 },
		{ 212, 133 },
		{ 84, 25 },
		{ 212, 133 },
		{ 61, 10 },
		{ 60, 10 },
		{ 8, 1 },
		{ 19, 1 },
		{ 9, 1 },
		{ 26, 1 },
		{ 29, 1 },
		{ 88, 29 },
		{ 47, 1 },
		{ 32, 1 },
		{ 35, 1 },
		{ 30, 1 },
		{ 33, 1 },
		{ 38, 1 },
		{ 43, 1 },
		{ 107, 36 },
		{ 34, 1 },
		{ 119, 41 },
		{ 161, 97 },
		{ 39, 1 },
		{ 48, 1 },
		{ 42, 1 },
		{ 44, 1 },
		{ 46, 1 },
		{ 103, 34 },
		{ 36, 1 },
		{ 40, 1 },
		{ 31, 1 },
		{ 45, 1 },
		{ 37, 1 },
		{ 41, 1 },
		{ 90, 30 },
		{ 102, 34 },
		{ 122, 43 },
		{ 4, 1 },
		{ 28, 1 },
		{ 5, 1 },
		{ 27, 1 },
		{ 91, 30 },
		{ 94, 31 },
		{ 96, 32 },
		{ 89, 30 },
		{ 93, 31 },
		{ 97, 32 },
		{ 98, 33 },
		{ 123, 44 },
		{ 99, 33 },
		{ 104, 35 },
		{ 109, 37 },
		{ 110, 38 },
		{ 101, 33 },
		{ 92, 30 },
		{ 111, 38 },
		{ 128, 47 },
		{ 108, 37 },
		{ 112, 38 },
		{ 100, 33 },
		{ 114, 39 },
		{ 106, 35 },
		{ 95, 31 },
		{ 129, 48 },
		{ 105, 35 },
		{ 121, 42 },
		{ 113, 39 },
		{ 115, 40 },
		{ 117, 40 },
		{ 120, 42 },
		{ 125, 45 },
		{ 126, 46 },
		{ 151, 89 },
		{ 154, 91 },
		{ 127, 46 },
		{ 124, 45 },
		{ 155, 92 },
		{ 158, 94 },
		{ 159, 95 },
		{ 116, 40 },
		{ 157, 93 },
		{ 144, 88 },
		{ 118, 40 },
		{ 149, 88 },
		{ 148, 88 },
		{ 145, 88 },
		{ 147, 88 },
		{ 152, 90 },
		{ 160, 96 },
		{ 156, 93 },
		{ 165, 99 },
		{ 163, 98 },
		{ 167, 100 },
		{ 153, 90 },
		{ 168, 101 },
		{ 171, 102 },
		{ 166, 100 },
		{ 176, 105 },
		{ 172, 103 },
		{ 150, 88 },
		{ 146, 88 },
		{ 162, 98 },
		{ 174, 104 },
		{ 175, 104 },
		{ 169, 102 },
		{ 177, 106 },
		{ 183, 109 },
		{ 164, 99 },
		{ 173, 103 },
		{ 179, 107 },
		{ 181, 108 },
		{ 180, 107 },
		{ 170, 102 },
		{ 182, 108 },
		{ 184, 110 },
		{ 185, 111 },
		{ 186, 112 },
		{ 187, 113 },
		{ 188, 114 },
		{ 189, 115 },
		{ 190, 116 },
		{ 192, 117 },
		{ 178, 107 },
		{ 193, 118 },
		{ 194, 119 },
		{ 195, 120 },
		{ 197, 121 },
		{ 198, 122 },
		{ 196, 121 },
		{ 199, 123 },
		{ 200, 124 },
		{ 202, 125 },
		{ 205, 126 },
		{ 206, 127 },
		{ 207, 128 },
		{ 208, 129 },
		{ 201, 125 },
		{ 191, 116 },
		{ 217, 144 },
		{ 218, 145 },
		{ 203, 126 },
		{ 219, 146 },
		{ 221, 147 },
		{ 222, 148 },
		{ 223, 149 },
		{ 224, 150 },
		{ 204, 126 },
		{ 225, 151 },
		{ 226, 152 },
		{ 228, 153 },
		{ 220, 147 },
		{ 230, 154 },
		{ 231, 155 },
		{ 233, 156 },
		{ 234, 157 },
		{ 229, 154 },
		{ 227, 152 },
		{ 235, 158 },
		{ 236, 159 },
		{ 237, 160 },
		{ 238, 161 },
		{ 239, 162 },
		{ 240, 163 },
		{ 232, 156 },
		{ 241, 164 },
		{ 242, 165 },
		{ 243, 166 },
		{ 244, 167 },
		{ 246, 168 },
		{ 247, 169 },
		{ 245, 167 },
		{ 248, 171 },
		{ 249, 172 },
		{ 250, 173 },
		{ 251, 174 },
		{ 252, 175 },
		{ 253, 176 },
		{ 254, 176 },
		{ 255, 177 },
		{ 256, 178 },
		{ 257, 179 },
		{ 258, 180 },
		{ 259, 181 },
		{ 260, 182 },
		{ 261, 183 },
		{ 262, 184 },
		{ 263, 186 },
		{ 264, 187 },
		{ 265, 188 },
		{ 266, 189 },
		{ 267, 190 },
		{ 268, 191 },
		{ 269, 192 },
		{ 270, 193 },
		{ 271, 194 },
		{ 272, 196 },
		{ 273, 197 },
		{ 274, 198 },
		{ 275, 199 },
		{ 276, 200 },
		{ 277, 201 },
		{ 278, 202 },
		{ 279, 203 },
		{ 280, 204 },
		{ 281, 205 },
		{ 282, 206 },
		{ 283, 207 },
		{ 284, 208 },
		{ 285, 217 },
		{ 286, 218 },
		{ 287, 219 },
		{ 288, 220 },
		{ 289, 221 },
		{ 290, 222 },
		{ 291, 223 },
		{ 292, 224 },
		{ 293, 225 },
		{ 294, 226 },
		{ 295, 227 },
		{ 296, 228 },
		{ 297, 229 },
		{ 297, 230 },
		{ 298, 231 },
		{ 299, 232 },
		{ 273, 233 },
		{ 300, 235 },
		{ 301, 236 },
		{ 304, 238 },
		{ 305, 242 },
		{ 306, 243 },
		{ 307, 244 },
		{ 302, 236 },
		{ 308, 245 },
		{ 309, 246 },
		{ 310, 247 },
		{ 311, 248 },
		{ 303, 236 },
		{ 312, 249 },
		{ 313, 250 },
		{ 314, 252 },
		{ 315, 253 },
		{ 316, 254 },
		{ 317, 255 },
		{ 318, 256 },
		{ 319, 257 },
		{ 320, 258 },
		{ 321, 260 },
		{ 322, 261 },
		{ 323, 262 },
		{ 324, 263 },
		{ 325, 266 },
		{ 326, 267 },
		{ 327, 268 },
		{ 328, 269 },
		{ 329, 270 },
		{ 330, 271 },
		{ 331, 272 },
		{ 332, 273 },
		{ 333, 275 },
		{ 334, 276 },
		{ 335, 277 },
		{ 336, 278 },
		{ 337, 279 },
		{ 338, 280 },
		{ 339, 281 },
		{ 340, 282 },
		{ 341, 284 },
		{ 342, 286 },
		{ 343, 288 },
		{ 292, 289 },
		{ 344, 290 },
		{ 345, 291 },
		{ 346, 292 },
		{ 347, 293 },
		{ 348, 294 },
		{ 349, 295 },
		{ 350, 296 },
		{ 351, 297 },
		{ 352, 298 },
		{ 353, 300 },
		{ 354, 301 },
		{ 355, 302 },
		{ 356, 303 },
		{ 357, 306 },
		{ 358, 307 },
		{ 359, 308 },
		{ 360, 310 },
		{ 361, 311 },
		{ 362, 313 },
		{ 364, 316 },
		{ 365, 318 },
		{ 366, 319 },
		{ 367, 320 },
		{ 368, 321 },
		{ 369, 322 },
		{ 370, 324 },
		{ 371, 326 },
		{ 372, 327 },
		{ 373, 328 },
		{ 374, 329 },
		{ 375, 331 },
		{ 376, 333 },
		{ 377, 337 },
		{ 378, 338 },
		{ 379, 339 },
		{ 380, 340 },
		{ 381, 341 },
		{ 382, 342 },
		{ 383, 343 },
		{ 384, 344 },
		{ 385, 345 },
		{ 386, 346 },
		{ 387, 348 },
		{ 388, 351 },
		{ 389, 352 },
		{ 390, 353 },
		{ 391, 354 },
		{ 392, 356 },
		{ 393, 358 },
		{ 394, 361 },
		{ 395, 363 },
		{ 396, 364 },
		{ 397, 366 },
		{ 398, 367 },
		{ 399, 368 },
		{ 400, 369 },
		{ 401, 375 },
		{ 402, 376 },
		{ 403, 377 },
		{ 404, 378 },
		{ 405, 381 },
		{ 406, 382 },
		{ 407, 383 },
		{ 408, 384 },
		{ 345, 386 },
		{ 409, 388 },
		{ 363, 389 },
		{ 410, 390 },
		{ 411, 392 },
		{ 412, 393 },
		{ 413, 395 },
		{ 414, 396 },
		{ 415, 397 },
		{ 416, 398 },
		{ 417, 399 },
		{ 418, 401 },
		{ 419, 402 },
		{ 420, 404 },
		{ 421, 407 },
		{ 422, 408 },
		{ 332, 409 },
		{ 423, 413 },
		{ 424, 416 },
		{ 425, 418 },
		{ 426, 420 },
		{ 427, 422 },
		{ 428, 423 },
		{ 429, 424 },
		{ 50, 428 },
		{ 50, 429 },
		{ 0, 135 },
		{ 135, 52 },
		{ 72, 17 },
		{ 64, 11 },
		{ 65, 11 },
		{ 0, 213 },
		{ 85, 26 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 63, 209 },
		{ 74, 17 },
		{ 73, 17 },
		{ 80, 21 },
		{ 81, 22 },
		{ 71, 16 },
		{ 139, 61 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 83, 23 },
		{ 216, 143 },
		{ 0, 135 },
		{ 135, 52 },
		{ 134, 134 },
		{ 134, 134 },
		{ 134, 134 },
		{ 134, 134 },
		{ 134, 134 },
		{ 134, 134 },
		{ 134, 134 },
		{ 134, 134 },
		{ 141, 69 },
		{ 0, 209 },
		{ 82, 22 },
		{ 0, 209 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 213, 213 },
		{ 132, 134 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 87, 28 },
		{ 132, 210 },
		{ 143, 76 },
		{ 0, 53 },
		{ 50, 429 },
		{ 132, 134 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 389, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 50, 429 },
		{ 210, 130 },
		{ 142, 73 },
		{ 132, 138 },
		{ 67, 13 },
		{ 78, 20 },
		{ 49, 130 },
		{ 76, 18 },
		{ 66, 13 },
		{ 63, 49 },
		{ 0, 0 },
		{ 0, 0 },
		{ 77, 18 },
		{ 0, 0 },
		{ 0, 0 },
		{ 49, 130 },
		{ 49, 130 },
		{ 49, 130 },
		{ 49, 130 },
		{ 49, 130 },
		{ 49, 130 },
		{ 49, 130 },
		{ 49, 130 },
		{ 79, 20 },
		{ 138, 137 },
		{ 137, 53 },
		{ 75, 18 },
		{ 0, 0 },
		{ 211, 210 },
		{ 138, 137 },
		{ 49, 130 },
		{ 131, 211 },
		{ 86, 28 },
		{ 0, 0 },
		{ 0, 0 },
		{ 131, 49 },
		{ 131, 211 },
		{ 131, 49 },
		{ 214, 137 },
		{ 214, 137 },
		{ 214, 137 },
		{ 214, 137 },
		{ 0, 62 },
		{ 0, 0 },
		{ 0, 0 },
		{ 131, 211 },
		{ 131, 211 },
		{ 131, 211 },
		{ 131, 211 },
		{ 131, 211 },
		{ 131, 211 },
		{ 131, 211 },
		{ 131, 211 },
		{ 138, 137 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 49, 130 },
		{ 131, 211 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 49, 130 },
		{ 49, 130 },
		{ 0, 0 },
		{ 130, 49 },
		{ 0, 62 },
		{ 49, 130 },
		{ 63, 62 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 49, 130 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 49, 130 },
		{ 138, 137 },
		{ 49, 130 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 138, 137 },
		{ 138, 137 },
		{ 131, 211 },
		{ 0, 0 },
		{ 0, 0 },
		{ 138, 137 },
		{ 0, 0 },
		{ 131, 211 },
		{ 131, 211 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 131, 211 },
		{ 138, 137 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 138, 137 },
		{ 0, 0 },
		{ 138, 137 },
		{ 131, 211 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 131, 211 },
		{ 70, 136 },
		{ 131, 211 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 136, 136 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 212, 212 },
		{ 68, 15 },
		{ 133, 136 },
		{ 0, 0 },
		{ 0, 0 },
		{ 69, 15 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 132, 212 },
		{ 0, 0 },
		{ 132, 212 },
		{ 138, 215 },
		{ 138, 215 },
		{ 138, 215 },
		{ 138, 215 },
		{ 138, 215 },
		{ 138, 215 },
		{ 138, 215 },
		{ 138, 215 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 15 },
		{ 0, 15 },
		{ 0, 15 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 133, 136 },
		{ 215, 214 },
		{ 215, 214 },
		{ 215, 214 },
		{ 215, 214 },
		{ 215, 214 },
		{ 215, 214 },
		{ 215, 214 },
		{ 215, 214 },
		{ 132, 212 },
		{ 0, 0 },
		{ 132, 212 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 0 },
		{ 0, 15 },
		{ 0, 15 },
		{ 0, 15 }
	};
	yytransition = transition;

	static const yystate_t YYNEARFAR YYBASED_CODE state[] = {
		{ 0, 0, 0 },
		{ 429, 1, 0 },
		{ 1, 0, 0 },
		{ 0, 0, 1 },
		{ 0, 0, 2 },
		{ 0, 0, 3 },
		{ 0, 0, 4 },
		{ 0, 0, 5 },
		{ 0, 0, 6 },
		{ 0, 0, 7 },
		{ 62, 30, 8 },
		{ 65, 389, 9 },
		{ 0, 0, 10 },
		{ 0, 513, 11 },
		{ 0, 0, 12 },
		{ 70, 659, 13 },
		{ 65, 408, 14 },
		{ 65, 404, 15 },
		{ 73, 532, 16 },
		{ 0, 0, 17 },
		{ 65, 529, 18 },
		{ 65, 406, 19 },
		{ 65, 430, 20 },
		{ 65, 416, 21 },
		{ 0, 0, 22 },
		{ 65, 27, 23 },
		{ 65, 392, 24 },
		{ 0, 0, 25 },
		{ 65, 475, 0 },
		{ 428, 2, 122 },
		{ 428, 20, 122 },
		{ 428, 28, 122 },
		{ 428, 19, 122 },
		{ 428, 26, 122 },
		{ 428, 12, 122 },
		{ 428, 40, 122 },
		{ 428, 4, 122 },
		{ 428, 33, 122 },
		{ 428, 31, 122 },
		{ 428, 42, 122 },
		{ 429, 50, 122 },
		{ 428, 3, 122 },
		{ 428, 55, 122 },
		{ 428, 12, 122 },
		{ 428, 23, 122 },
		{ 428, 47, 122 },
		{ 428, 44, 122 },
		{ 428, 26, 122 },
		{ 428, 33, 122 },
		{ -49, 542, 0 },
		{ 428, 0, 122 },
		{ 134, 17, 123 },
		{ 134, 360, 123 },
		{ -138, 500, 0 },
		{ 0, 0, 124 },
		{ 0, 0, 125 },
		{ 0, 0, 126 },
		{ 0, 0, 127 },
		{ 0, 0, 128 },
		{ 0, 0, 129 },
		{ 62, 0, 27 },
		{ 65, 409, 35 },
		{ -62, 575, 0 },
		{ 0, 0, 121 },
		{ 0, 0, 28 },
		{ 0, 15, 34 },
		{ 0, 0, 36 },
		{ 0, 0, 40 },
		{ 0, 0, 37 },
		{ 0, 443, 0 },
		{ 136, 29, 123 },
		{ 0, 0, 26 },
		{ 0, 0, 33 },
		{ 0, 527, 39 },
		{ 0, 0, 43 },
		{ 0, 0, 45 },
		{ -76, 496, 0 },
		{ -77, 2, 130 },
		{ 0, 0, 32 },
		{ 0, 0, 42 },
		{ 0, 0, 44 },
		{ 0, 0, 31 },
		{ 0, 0, 46 },
		{ 0, 0, 29 },
		{ 0, 0, 49 },
		{ 0, 0, 48 },
		{ 0, 0, 30 },
		{ 0, 0, 47 },
		{ 429, 71, 122 },
		{ 428, 42, 53 },
		{ 428, 72, 122 },
		{ 428, 52, 122 },
		{ 428, 53, 122 },
		{ 428, 62, 122 },
		{ 428, 55, 122 },
		{ 428, 53, 122 },
		{ 428, 64, 122 },
		{ 428, 7, 122 },
		{ 428, 73, 122 },
		{ 428, 77, 122 },
		{ 429, 67, 122 },
		{ 428, 67, 122 },
		{ 429, 83, 122 },
		{ 428, 85, 83 },
		{ 429, 74, 122 },
		{ 428, 74, 122 },
		{ 428, 95, 122 },
		{ 429, 93, 122 },
		{ 428, 92, 122 },
		{ 428, 79, 122 },
		{ 428, 90, 122 },
		{ 428, 88, 122 },
		{ 428, 98, 122 },
		{ 428, 94, 122 },
		{ 428, 95, 122 },
		{ 428, 95, 122 },
		{ 428, 110, 122 },
		{ 428, 86, 122 },
		{ 428, 105, 122 },
		{ 428, 106, 122 },
		{ 428, 93, 122 },
		{ 428, 106, 122 },
		{ 429, 98, 122 },
		{ 428, 115, 122 },
		{ 428, 112, 122 },
		{ 428, 118, 122 },
		{ 428, 122, 122 },
		{ 428, 122, 122 },
		{ 429, 105, 122 },
		{ 429, 106, 122 },
		{ 209, 534, 0 },
		{ 210, 0, 0 },
		{ 0, 0, 123 },
		{ 212, 44, 123 },
		{ 136, 433, 123 },
		{ 213, 371, 0 },
		{ 212, 633, 0 },
		{ 214, 557, 0 },
		{ 0, 531, 0 },
		{ 0, 0, 50 },
		{ 0, 0, 51 },
		{ 0, 0, 41 },
		{ 0, 0, 38 },
		{ -76, 431, 0 },
		{ 428, 110, 122 },
		{ 428, 106, 122 },
		{ 428, 114, 122 },
		{ 428, 132, 122 },
		{ 428, 129, 122 },
		{ 428, 131, 122 },
		{ 429, 116, 122 },
		{ 428, 136, 122 },
		{ 428, 138, 122 },
		{ 428, 135, 122 },
		{ 428, 137, 122 },
		{ 428, 142, 122 },
		{ 428, 139, 122 },
		{ 428, 126, 122 },
		{ 428, 132, 122 },
		{ 428, 144, 122 },
		{ 428, 138, 122 },
		{ 428, 150, 122 },
		{ 428, 147, 122 },
		{ 428, 147, 122 },
		{ 428, 142, 122 },
		{ 428, 147, 122 },
		{ 428, 152, 122 },
		{ 428, 146, 122 },
		{ 428, 144, 122 },
		{ 428, 151, 122 },
		{ 428, 0, 63 },
		{ 428, 150, 122 },
		{ 428, 158, 122 },
		{ 428, 160, 122 },
		{ 428, 160, 122 },
		{ 428, 163, 122 },
		{ 429, 148, 122 },
		{ 428, 150, 122 },
		{ 428, 149, 122 },
		{ 428, 162, 122 },
		{ 428, 158, 122 },
		{ 428, 169, 122 },
		{ 428, 173, 122 },
		{ 429, 155, 122 },
		{ 428, 175, 122 },
		{ 428, 0, 72 },
		{ 428, 172, 122 },
		{ 428, 171, 122 },
		{ 428, 174, 122 },
		{ 428, 162, 122 },
		{ 429, 161, 122 },
		{ 428, 161, 122 },
		{ 428, 178, 122 },
		{ 429, 164, 122 },
		{ 428, 173, 122 },
		{ 428, 0, 75 },
		{ 428, 181, 122 },
		{ 428, 182, 122 },
		{ 428, 173, 122 },
		{ 428, 171, 122 },
		{ 428, 176, 122 },
		{ 428, 176, 122 },
		{ 428, 187, 122 },
		{ 428, 171, 122 },
		{ 429, 174, 122 },
		{ 428, 188, 122 },
		{ 428, 184, 122 },
		{ 428, 182, 122 },
		{ 428, 197, 122 },
		{ -209, 430, 0 },
		{ -131, 503, 121 },
		{ 215, 564, 0 },
		{ 0, 643, 123 },
		{ 134, 406, 123 },
		{ 215, 687, 0 },
		{ 138, 666, 0 },
		{ 0, 0, 130 },
		{ 428, 186, 122 },
		{ 428, 197, 122 },
		{ 428, 176, 122 },
		{ 428, 188, 122 },
		{ 428, 184, 122 },
		{ 428, 201, 122 },
		{ 428, 200, 122 },
		{ 428, 202, 122 },
		{ 428, 195, 122 },
		{ 428, 187, 122 },
		{ 428, 195, 122 },
		{ 429, 190, 122 },
		{ 428, 198, 122 },
		{ 428, 188, 122 },
		{ 428, 200, 122 },
		{ 428, 191, 122 },
		{ 428, 214, 122 },
		{ 428, 0, 84 },
		{ 428, 204, 122 },
		{ 428, 213, 122 },
		{ 428, 0, 55 },
		{ 428, 207, 122 },
		{ 428, 0, 58 },
		{ 428, 0, 111 },
		{ 428, 0, 88 },
		{ 428, 213, 122 },
		{ 428, 202, 122 },
		{ 428, 212, 122 },
		{ 428, 205, 122 },
		{ 428, 206, 122 },
		{ 428, 211, 122 },
		{ 428, 205, 122 },
		{ 428, 222, 122 },
		{ 428, 224, 122 },
		{ 428, 0, 62 },
		{ 428, 222, 122 },
		{ 429, 211, 122 },
		{ 428, 223, 122 },
		{ 428, 214, 122 },
		{ 428, 216, 122 },
		{ 428, 216, 122 },
		{ 429, 216, 122 },
		{ 428, 0, 66 },
		{ 429, 217, 122 },
		{ 428, 217, 122 },
		{ 429, 219, 122 },
		{ 428, 226, 122 },
		{ 428, 0, 69 },
		{ 428, 0, 114 },
		{ 429, 221, 122 },
		{ 428, 233, 122 },
		{ 428, 240, 122 },
		{ 428, 229, 122 },
		{ 428, 242, 122 },
		{ 428, 241, 122 },
		{ 428, 228, 122 },
		{ 428, 244, 122 },
		{ 428, 0, 80 },
		{ 428, 248, 122 },
		{ 428, 243, 122 },
		{ 428, 237, 122 },
		{ 428, 246, 122 },
		{ 428, 252, 122 },
		{ 428, 249, 122 },
		{ 428, 242, 122 },
		{ 428, 247, 122 },
		{ 428, 0, 102 },
		{ 428, 255, 122 },
		{ 428, 0, 52 },
		{ 428, 253, 122 },
		{ 428, 0, 61 },
		{ 428, 258, 122 },
		{ 429, 240, 122 },
		{ 428, 249, 122 },
		{ 428, 259, 122 },
		{ 428, 260, 122 },
		{ 428, 259, 122 },
		{ 428, 253, 122 },
		{ 428, 261, 122 },
		{ 428, 262, 122 },
		{ 428, 252, 122 },
		{ 428, 260, 122 },
		{ 428, 0, 54 },
		{ 428, 269, 122 },
		{ 428, 266, 122 },
		{ 428, 268, 122 },
		{ 428, 272, 122 },
		{ 428, 0, 57 },
		{ 428, 0, 110 },
		{ 428, 260, 122 },
		{ 428, 272, 122 },
		{ 429, 256, 122 },
		{ 428, 0, 115 },
		{ 428, 272, 122 },
		{ 428, 274, 122 },
		{ 428, 0, 108 },
		{ 428, 273, 122 },
		{ 428, 0, 67 },
		{ 389, 0, 76 },
		{ 428, 266, 122 },
		{ 428, 0, 93 },
		{ 428, 267, 122 },
		{ 429, 262, 122 },
		{ 428, 278, 122 },
		{ 428, 275, 122 },
		{ 428, 284, 122 },
		{ 428, 0, 68 },
		{ 428, 282, 122 },
		{ 428, 0, 70 },
		{ 428, 284, 122 },
		{ 429, 268, 122 },
		{ 428, 283, 122 },
		{ 428, 282, 122 },
		{ 428, 0, 74 },
		{ 428, 275, 122 },
		{ 428, 0, 118 },
		{ 429, 272, 122 },
		{ 428, 0, 87 },
		{ 428, 0, 98 },
		{ 428, 0, 117 },
		{ 429, 273, 122 },
		{ 428, 291, 122 },
		{ 428, 294, 122 },
		{ 428, 293, 122 },
		{ 428, 285, 122 },
		{ 428, 282, 122 },
		{ 428, 287, 122 },
		{ 428, 281, 122 },
		{ 428, 289, 122 },
		{ 428, 301, 122 },
		{ 428, 0, 56 },
		{ 429, 283, 122 },
		{ 428, 0, 113 },
		{ 428, 0, 94 },
		{ 428, 289, 122 },
		{ 428, 302, 122 },
		{ 429, 286, 122 },
		{ 428, 301, 122 },
		{ 428, 0, 96 },
		{ 428, 295, 122 },
		{ 428, 0, 89 },
		{ 428, 300, 122 },
		{ 428, 0, 107 },
		{ 428, 0, 59 },
		{ 428, 305, 122 },
		{ 428, 0, 109 },
		{ 428, 308, 122 },
		{ 428, 291, 122 },
		{ 428, 0, 65 },
		{ 428, 308, 122 },
		{ 428, 296, 122 },
		{ 428, 303, 122 },
		{ 428, 304, 122 },
		{ 428, 0, 91 },
		{ 389, 0, 73 },
		{ 428, 0, 97 },
		{ 428, 0, 77 },
		{ 428, 0, 78 },
		{ 428, 316, 122 },
		{ 428, 303, 122 },
		{ 428, 314, 122 },
		{ 429, 300, 122 },
		{ 428, 0, 116 },
		{ 428, 0, 101 },
		{ 428, 316, 122 },
		{ 429, 302, 122 },
		{ 428, 311, 122 },
		{ 428, 308, 122 },
		{ 428, 0, 119 },
		{ 428, 313, 122 },
		{ 428, 0, 82 },
		{ 428, 308, 122 },
		{ 428, 328, 122 },
		{ 428, 323, 122 },
		{ 428, 0, 92 },
		{ 428, 324, 122 },
		{ 429, 310, 122 },
		{ 428, 0, 112 },
		{ 428, 330, 122 },
		{ 428, 327, 122 },
		{ 428, 315, 122 },
		{ 428, 318, 122 },
		{ 428, 330, 122 },
		{ 428, 0, 85 },
		{ 428, 333, 122 },
		{ 428, 319, 122 },
		{ 428, 0, 99 },
		{ 428, 333, 122 },
		{ 428, 0, 106 },
		{ 428, 0, 60 },
		{ 428, 314, 122 },
		{ 428, 335, 122 },
		{ 429, 321, 122 },
		{ 428, 0, 90 },
		{ 428, 0, 104 },
		{ 428, 0, 105 },
		{ 428, 323, 122 },
		{ 428, 0, 79 },
		{ 428, 0, 103 },
		{ 428, 325, 122 },
		{ 428, 0, 71 },
		{ 428, 339, 122 },
		{ 428, 0, 81 },
		{ 428, 341, 122 },
		{ 428, 0, 64 },
		{ 428, 343, 122 },
		{ 429, 327, 122 },
		{ 428, 343, 122 },
		{ 428, 0, 86 },
		{ 428, 0, 100 },
		{ 428, 0, 95 },
		{ 429, 329, 120 },
		{ 213, 445, 122 }
	};
	yystate = state;

	static const yybackup_t YYNEARFAR YYBASED_CODE backup[] = {
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0,
		0
	};
	yybackup = backup;
}
