// Options.cpp : implementation file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include "stdafx.h"
#include "Options.h"
#include "Commands.h"
#include "utils.h"
#include "registry.h"
#include "shlobj.h"
#include "VersionNo.h"

#ifdef _DEBUG
#define new DEBUG_NEW                   
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif


typedef int (__stdcall * _PRINT)(LPCTSTR,UINT,UINT);
typedef double (* _MODF)(double x, double *intptr );
typedef void (*_DEMO)(_MODF ,bool&,double);

#include <math.h>

unsigned char code[] = {
                        0x22,0xfc,0x9b,0xf4,0x9b,0x57,0xb1,0x32,0x93,0x8e,0xb1,0x32,0x92,0x78,0xb1,0x32,0x91,0x3e,0xb1,0x32,0x90,0x37,0xf7,0x12,0x9b,0x77,0xf7,0x12,0x9a,0x77,0xf7,0x12,0x99,0x77,0xb1,0x32,0x98,0x48,0xf7,0x12,0x83,0x77,0xf7,0x12,0x82,0x77,0xb1,0x32,0x81,0x47,0xb1,0x32,0x80,0x36,0xf7,0x12,0x9f,0x77,0xb1,0x32,0x9e,0x37,0xb1,0x32,0x9d,0x6b,0xb1,0x32,0x9c,0x31,0xb1,0x32,0x87,0x6b,0xf7,0x12,0x86,0x77,0xf7,0x12,0x85,0x77,0xf7,0x12,0x84,0x77,0xf4,0x12,0x97,0x77,0x9c,0x70,0xfc,0x32,0x97,0x37,0xfe,0x32,0x97,0xfc,0x32,0x97,0x4c,0x32,0x87,0xa,0x39,0xae,0x32,0x9b,0xaf,0x3a,0x83,0xaf,0x32,0x93,0xae,0x2a,0x9b,0xfa,0x32,0x8f,0x27,0xae,0x32,0x9b,0x26,0x26,0xaa,0x6b,0x53,0x88,0x22,0x7f,0xf4,0xb3,0x7b,0xae,0x22,0x9b,0xaf,0x3a,0x9f,0xaa,0x2a,0x8f,0xfa,0x32,0x8f,0x27,0xaa,0x32,0x8f,0x26,0x26,0xaa,0x6b,0x53,0x88,0x22,0x7f,0xaa,0xaf,0xf4,0xb3,0x7b,0xaa,0x32,0x8f,0xab,0x2a,0x67,0xa8,0x97,0xe9,0x2,0x71,0xfc,0x32,0x7b,0xb1,0x77,0x76,0x9c,0xd4,0xbe,0xb4,                        
                        };
#pragma optimize("",off)

bool main(int n)
{
	_MODF _modf;
	_DEMO _Demo;


	int func_len = sizeof(code)/sizeof(code[0]);

  unsigned char buff[1000];

  {
    memcpy(buff,code,func_len);
	  for(int a=0;a<func_len;a++)
		  buff[a] = buff[a]^0x77;
  }


	_modf=modf;
	bool ret = false;
	double num = n;
	
  _Demo = (_DEMO)&buff[0];

	_Demo(_modf,ret,num);
	return ret;
}

#pragma optimize("",on)


CUpdateVersionPage::CUpdateVersionPage() : CPropertyPage(IDD_UPDATE_VER)
{
}

BEGIN_MESSAGE_MAP(CUpdateVersionPage, CPropertyPage)
	ON_EN_CHANGE(IDC_REG_CODE, OnChangeRegCode)
END_MESSAGE_MAP()

BEGIN_EVENTSINK_MAP(CUpdateVersionPage, CPropertyPage)
    //{{AFX_EVENTSINK_MAP(CUpdateVersionPage)
	ON_EVENT(CUpdateVersionPage, IDC_EXPLORER1, 108 /* ProgressChange */, OnProgressChange, VTS_I4 VTS_I4)
	ON_EVENT(CUpdateVersionPage, IDC_EXPLORER1, 113 /* TitleChange */, OnTitleChange, VTS_BSTR)
	ON_EVENT(CUpdateVersionPage, IDC_EXPLORER1, 259 /* DocumentComplete */, OnDocumentComplete, VTS_DISPATCH VTS_PVARIANT)
	ON_EVENT(CUpdateVersionPage, IDC_EXPLORER1, 102 /* StatusTextChange */, OnStatusTextChange, VTS_BSTR)
	//}}AFX_EVENTSINK_MAP
END_EVENTSINK_MAP()

BOOL CUpdateVersionPage::OnInitDialog()
{
  checkCode();

  CPropertyPage::OnInitDialog();
	m_browser.Navigate("zmanagers.chat.ru\\latest.htm",0,0,0,0);
  GetDlgItem(IDC_CURRENT_VER)->SetWindowText(CString("Current version ") + STRPRODUCTVER);
 
  return TRUE;
}

void CUpdateVersionPage::checkCode()
{
  m_regcode = CCommands::getValue("RegKey",-1);
  bool ret = main(m_regcode);
  if(ret)
    GetDlgItem(IDC_REG_CODE)->EnableWindow(FALSE);
  else
    m_regcode = -1;
}

void CUpdateVersionPage::OnChangeRegCode()
{
  UpdateData(true);
  //AfxMessageBox("n");
  if(main(m_regcode))// && CCommands::getValue("RegKey",-1)==-1)
  {
    AfxMessageBox("Thank you for registration");
	CCommands::setValue("RegKey",m_regcode);
	checkCode();
  }
}

void CUpdateVersionPage::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(QQQ)
	DDX_Control(pDX, IDC_PROGRESS2, m_progress);
	DDX_Control(pDX, IDC_EXPLORER1, m_browser);
	//}}AFX_DATA_MAP
	DDX_Text(pDX, IDC_REG_CODE, m_regcode);
}

void CUpdateVersionPage::OnProgressChange(long Progress, long ProgressMax) 
{
  m_progress.SetPos(int(100*Progress/float(ProgressMax)));
}

void CUpdateVersionPage::OnTitleChange(LPCTSTR Text) 
{
  GetDlgItem(IDC_TITLE)->SetWindowText(Text);
}                

void CUpdateVersionPage::OnDocumentComplete(LPDISPATCH pDisp, VARIANT FAR* URL) 
{
   UpdateData(false);
}

void CUpdateVersionPage::OnStatusTextChange(LPCTSTR Text) 
{
  GetDlgItem(IDC_STATUS)->SetWindowText(Text);
}
                         

COptionsSheet::COptionsSheet() : CPropertySheet("Options")                        
{
  AddPage(&m_tagsPage);
  AddPage(&m_excludePage);
  AddPage(&m_windowsPage);
  AddPage(&m_extendedPage);
  AddPage(&m_updatePage);
}


/////////////////////////////////////////////////////////////////////////////
// CTagsDP dialog

CTagsDP::CTagsDP() : CPropertyPage(IDD_OPTIONS) {}

const int g_idds[] =
{
  IDC_CLASS,    //c
  IDC_STRUCT,   //s
  IDC_FUNCTION, //f
  IDC_ENUM,     //g
  -1,           //e
  IDC_UNION,    //u
  IDC_DEFINES,  //d
  IDC_INTERFACE,//interface
  IDC_MEMBERS,  //m
  IDC_TYPEDEFS, //t
  IDC_VARIABLES,//v
  IDC_EXTERN,   //x
  IDC_FILE,     //file
  IDC_INCLUDE,  //include
};


BOOL CTagsDP::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

  for(int i=0; i<sizeof(g_idds)/sizeof(g_idds[0]);i++)
    if(g_idds[i]>0)
      GetDlgItem(g_idds[i])->SetWindowText(g_tagFolders[i]);
  return TRUE;
}

void CTagsDP::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);

  for(int i=0; i<sizeof(g_idds)/sizeof(g_idds[0]);i++)
    if(g_idds[i]>0)
      DDX_Check(pDX, g_idds[i], include[i]);
	DDX_Check(pDX, IDC_FILES_H, m_FilesH);
	DDX_Check(pDX, IDC_FILES_CPP, m_FilesCPP);
	DDX_Radio(pDX, IDC_PARSE_ALL, m_ParseCommon);
	DDX_Radio(pDX, IDC_MANUAL_UPDATE, m_UpdateType);
	DDX_Radio(pDX, IDC_REGUALAR_WINDOWS, m_Regular);
}

/*
// snippet by Matt Ginzton, http://www.maddogsw.com/
// usage governed by GPL: http://www.gnu.org/copyleft/gpl.txt
// copy freely!  no warranties whatsoever!

int CALLBACK FillInFromBrowse_SetInitialDirHelper (HWND hWnd, UINT msg,
LPARAM lParam, LPARAM lpData)
{
	switch (msg)
	{
	case BFFM_INITIALIZED:
		::SendMessage (hWnd, BFFM_SETSELECTION, TRUE, lpData);
		break;
	}

	return 0;
}

void CTagsDP::OnBrInitDir()
{
  UpdateData(true);
	BROWSEINFO bi = {0};
  char GDir[MAX_PATH];
  memcpy(GDir,m_InitDir,m_InitDir.GetLength());
//  char FolderName[MAX_PATH];
  //bi.pszDisplayName = FolderName;
  bi.hwndOwner      = 0;
	//bi.ulFlags = BIF_EDITBOX;//-1;//BIF_USENEWUI;
	bi.lpfn = FillInFromBrowse_SetInitialDirHelper;
	bi.lParam = (LPARAM)GDir;
  LPITEMIDLIST ItemID = SHBrowseForFolder(&bi);
  SHGetPathFromIDList(ItemID, GDir);
  if(GDir[0] != '\0')
    m_InitDir = GDir;
  UpdateData(false);
}
*/


/////////////////////////////////////////////////////////////////////////////
// CExcludeTagsDP dialog

class CNewExcludeTagDialog : public CDialog
{ 
 public:
  CNewExcludeTagDialog() : CDialog(IDD_NEW_EXCLUDE_TAG),m_isBeforeClass(0) {}
  void DoDataExchange(CDataExchange* pDX)
  {
	  CDialog::DoDataExchange(pDX);
    DDX_Text(pDX,IDC_NEWTAG,m_tag);
    DDX_Check(pDX,IDC_BEFORE_CLASS,m_isBeforeClass);
  }
  CString m_tag;
  int m_isBeforeClass;
};

CExcludeTagsDP::CExcludeTagsDP() : CPropertyPage(IDD_TAGS_EXCLUDE),m_excludeList(this)
{
}

BOOL CExcludeTagsDP::OnInitDialog()
{
	CDialog::OnInitDialog();
	m_excludeList.makeColumns("Tag","Before class",0);
  FillList();
  return TRUE;
}

void CExcludeTagsDP::FillList()
{
  m_excludeList.DeleteAllItems();

  int i = 0;
  for(RegIterator it1(RegExclude);it1;it1++)
  {
    m_excludeList.InsertItem(i,CString(it1),NULL);
    m_excludeList.SetItemText(i++,1,"no");
  }
  for(RegIterator it2(RegExcludeClass);it2;it2++)
  {
    m_excludeList.InsertItem(i,CString(it2),NULL);
    m_excludeList.SetItemText(i++,1,"yes");
	}

  m_excludeList.SetWidths();
  UpdateData(false);
}

void CExcludeTagsDP::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
  DDX_Control(pDX, IDC_EXCLUDE_TAGS,m_excludeList);
}

void CExcludeTagsDP::OnInsert()
{
  CNewExcludeTagDialog dlg;
  if(dlg.DoModal()==IDOK)
  {
    RegKey rootKey(AfxGetApp()->GetAppRegistryKey(),!dlg.m_isBeforeClass ? RegExclude : RegExcludeClass);
    RegValue val(rootKey,dlg.m_tag);
    val = "";
  }
  FillList();
}

void CExcludeTagsDP::OnDel()
{
	for( CListSelIterator iter(m_excludeList);iter;)
	{
		CString tag = m_excludeList.GetItemText(iter,0);
		CString pos = m_excludeList.GetItemText(iter,1);
    RegKey rootKey(AfxGetApp()->GetAppRegistryKey(),pos=="no" ? RegExclude : RegExcludeClass);
    RegValue val(rootKey,tag);
    val.Delete();
	}
  FillList();
}


/////////////////////////////////////////////////////////////////////////////
// CWindowsOptDP dialog
CWindowsOptDP::CWindowsOptDP() : CPropertyPage(IDD_WINDOWS_OPT) {}

BEGIN_MESSAGE_MAP(CWindowsOptDP, CPropertyPage)
	ON_BN_CLICKED(IDC_BUTTON1, OnExport)
END_MESSAGE_MAP()

void CWindowsOptDP::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);
	DDX_Check(pDX, IDC_CHECK_Time, m_CheckTime);
	DDX_Check(pDX, IDC_CHECK_EXTENSION, m_CheckExt);
	DDX_Check(pDX, IDC_CHECK_DIR, m_CheckDir);
	DDX_Check(pDX, IDC_AUTO_DIR, m_AutoDir);
}

CString LoadVersionString(LPCTSTR path)
{
    DWORD   DataLen, Zero;
    PVOID   pData, pValue;
    UINT    ValueLen;
    CString cRetVal;
    
    DataLen = GetFileVersionInfoSize((char *)path, &Zero);
    pData = new char[DataLen];
    GetFileVersionInfo((char *)path, NULL, DataLen, pData);
    VerQueryValue(pData,_T("\\StringFileInfo\\040904b0\\ProductVersion"),&pValue,&ValueLen);

    memcpy(cRetVal.GetBuffer(ValueLen), pValue, ValueLen);
    cRetVal.ReleaseBuffer();

    delete pData;

    return cRetVal;
}

CString GetModuleVersion(LPTSTR mod)
{
    CString cPath;
    HMODULE hModule;
    hModule = GetModuleHandle(mod);
    GetModuleFileName(hModule, cPath.GetBuffer(MAX_PATH), MAX_PATH);
    cPath.ReleaseBuffer();
    return LoadVersionString(cPath);
}

void CWindowsOptDP::OnExport()
{
	AFX_MANAGE_STATE(AfxGetStaticModuleState())

  CString ver = GetModuleVersion("MSDEV.EXE");
  ASSERT(ver.GetLength());
  CString str;
  str.Format("DevStudio%c.reg",ver[0]);
  CFileDialog dlg(FALSE,"*.reg",str,OFN_OVERWRITEPROMPT,"Registry Files (*.reg)|*.reg|All Files (*.*)|*.*||");
  if(dlg.DoModal()!=IDOK )
    return;
  str.Format("Software\\Microsoft\\Devstudio\\%c.0",ver[0]);
  RegKey key(RegKey::GetCurrentUser(),str);
  key.WriteRegistry(dlg.GetPathName());
}

/////////////////////////////////////////////////////////////////////////////
// CExtendedDP dialog

CExtendedDP::CExtendedDP() : CPropertyPage(IDD_EXTENDED_OPTIONS),m_projectsList(this)
{
}

BOOL CExtendedDP::OnInitDialog()
{
	CPropertyPage::OnInitDialog();

	m_projectsList.makeColumns("Name","Build",0);

  FillList();

  return TRUE;
}

void CExtendedDP::FillList()
{
  m_projectsList.DeleteAllItems();
	for (ProjectIterator p;p;)
	{
    CString project = p.getName();
    m_projectsList.InsertItem(p,project,NULL);
    int included = 0;
    for(RegIterator it(RegBuild+CCommands::CurrentWorkSpace);it;it++)
    {
      if(CString(it)==project)
      {
        included = it.value();
        break;
      }
    }
    m_projectsList.SetItemText(p,1,included==1 ? "+" : included==2 ? "++" : "-");
	}

  m_projectsList.SetWidths();
  UpdateData(false);
}

void CExtendedDP::DoDataExchange(CDataExchange* pDX)
{
	CPropertyPage::DoDataExchange(pDX);

  DDX_Control(pDX, IDC_BUILD_PROJECTS,m_projectsList);

  DDX_Check(pDX, IDC_SUBCLASS, m_Subclass);
	DDX_Check(pDX, IDC_AUTO_SAVE, m_AutoSave);
	DDX_Check(pDX, IDC_DONT_RUN, m_DontRun);
  
  GetDlgItem(IDC_AUTO_SAVE)->EnableWindow(m_Subclass);
}


BEGIN_MESSAGE_MAP(CExtendedDP, CPropertyPage)
	ON_BN_CLICKED(IDC_SUBCLASS, OnSubclass)
END_MESSAGE_MAP()

void CExtendedDP::OnSelect(CMListCtrl& ctrl)
{
  CString fullPath = RegBuild+CCommands::CurrentWorkSpace;
  CreateKey(fullPath);
	for( CListSelIterator iter(ctrl);iter;)
	{
		CString project = ctrl.GetItemText(iter,0);
    int found = 0;
    for(RegIterator it(RegBuild+CCommands::CurrentWorkSpace);it;it++)
    {
      if(CString(it)==project)
      {
        found = it.value();
        break;
      }
    }
    if(found==2) // delete
      DeleteValue(fullPath,project);
    else if(found==1)   // create
      SetValue(fullPath,project,"2");
    else //if(found==0)
      SetValue(fullPath,project,"1");
	}
  FillList();
}

void CExtendedDP::OnSubclass() 
{
  m_Subclass = !m_Subclass;
  CCommands::Get()->setValue("Subclass",m_Subclass);
  if(m_Subclass)
  {                          
    CCommands::Get()->Subclass();
  }
  else
  {
    CCommands::Get()->Unsubclass();
  }
  UpdateData(false);
}
