#if !defined(AFX_OPTIONS_H__7D5CE5E2_2312_11D3_B5C4_0020AFDD89D7__INCLUDED_)
#define AFX_OPTIONS_H__7D5CE5E2_2312_11D3_B5C4_0020AFDD89D7__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Options.h : header file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//
#include "tags\entry.h"	/* to define TAG_COUNT */
#include "MListCtrl.h"
#include "DlgMgr.h"
#include "webbrowser2.h"

class CUpdateVersionPage : public CPropertyPage
{
  public:
    CUpdateVersionPage();
  
  protected:
  	CProgressCtrl	m_progress;
    CWebBrowser2	m_browser;

	int		        m_regcode;
	
    virtual void DoDataExchange(CDataExchange* pDX);
    virtual BOOL OnInitDialog();
	void OnChangeRegCode();
	void checkCode();

	  void OnProgressChange(long Progress, long ProgressMax);
	  void OnTitleChange(LPCTSTR Text);
	  void OnDocumentComplete(LPDISPATCH pDisp, VARIANT FAR* URL);
	  void OnStatusTextChange(LPCTSTR Text);

  	DECLARE_EVENTSINK_MAP()
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CTagsDP dialog
class CTagsDP : public CPropertyPage
{
public:
	CTagsDP();
  BOOL include[TAG_COUNT];
	BOOL	  m_FilesH;
	BOOL	  m_FilesCPP;
	int		  m_ParseCommon;
	int		  m_UpdateType;
	int		  m_Regular;
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
protected:
  virtual BOOL OnInitDialog();
};

/////////////////////////////////////////////////////////////////////////////
// CExcludeTagsDP dialog
class CExcludeTagsDP : public CPropertyPage, public IDlg
{
public:
	CExcludeTagsDP();
protected:
  void            FillList();
  CMListCtrl m_excludeList;
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  virtual BOOL OnInitDialog();
  virtual void OnInsert();
  virtual void OnDel();
};



/////////////////////////////////////////////////////////////////////////////
// CWindowsOptDP dialog
class CWindowsOptDP : public CPropertyPage
{
public:
	CWindowsOptDP();

  BOOL    m_CheckTime;
  BOOL    m_CheckExt;
  BOOL    m_CheckDir;
  BOOL    m_AutoDir;
protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
  void OnExport();
	DECLARE_MESSAGE_MAP()
};


/////////////////////////////////////////////////////////////////////////////
// CExtendedDP dialog
class CExtendedDP : public CPropertyPage, public IDlg
{
public:
	CExtendedDP();

  BOOL    m_Subclass;
  BOOL    m_AutoSave;
  BOOL    m_DontRun;

protected:
  virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support

  CMListCtrl m_projectsList;
protected:
  void            FillList();

  virtual BOOL OnInitDialog();

  virtual void OnSelect(CMListCtrl& ctrl);
	afx_msg void OnSubclass();
	DECLARE_MESSAGE_MAP()
};


class COptionsSheet : public CPropertySheet 
{
  public:
  COptionsSheet();
  
    CTagsDP            m_tagsPage;
    CWindowsOptDP      m_windowsPage;
    CExtendedDP        m_extendedPage;
  protected:
    CUpdateVersionPage m_updatePage;
    CExcludeTagsDP     m_excludePage;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_OPTIONS_H__7D5CE5E2_2312_11D3_B5C4_0020AFDD89D7__INCLUDED_)
