 #if !defined(AFX_RUN_H__10EC4EE4_E283_11D2_9B23_004005649FB5__INCLUDED_)
#define AFX_RUN_H__10EC4EE4_E283_11D2_9B23_004005649FB5__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// Run.h : header file
//

/////////////////////////////////////////////////////////////////////////////
// Run
struct RunParams
{
  RunParams(HANDLE h) : handle(h) {}

  virtual void  addText(const TCHAR* chBuf) = 0;
  virtual void  open(char* str) = 0;

  HANDLE        handle;
};

class Run
{
public:
  Run();		   // protected constructor used by dynamic creation
	virtual ~Run();
	BOOL CreateShellRedirect();
	void WriteToPipe(LPCTSTR line,bool files = true);
  void OnDestroy();

private:
	CWinThread*	m_pReadThread;
	CWinThread*	m_pReadThread2;
	DWORD m_dwProcessId;

// Operations
protected:
	HANDLE m_hChildStdinRd, m_hChildStdinWr, m_hChildStdinWrDup, 
		m_hChildStdoutRd, m_hChildStdoutWr, m_hChildStdoutRdDup,
		m_hChildErrorRd, m_hChildErrorWr, m_hChildErrorRdDup; 

  RunParams*   params[2];

public:
  RunParams**   getParams() { return params;}

private:
	BOOL CreateChildProcess();

	static UINT ReadPipeThreadProc(LPVOID pParam);

  virtual void   MakeParams() = 0;
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_SHELLVIEW_H__10EC4EE4_E283_11D2_9B23_004005649FB5__INCLUDED_)
