// CSortMgr.cpp : implementation file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include "stdafx.h"

//#include "resource.h"
#include "SortMgr.h"
#include "Commands.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

using namespace std;

BEGIN_MESSAGE_MAP(CSortMgr,CDlgMgr)
	//{{AFX_MSG_MAP(CSortMgr)
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CSortMgr dialog
CSortMgr::CSortMgr():CDlgMgr(IDD_DLGWINMGR),m_ctrl(this)
{
  avalibleCommands=AllCommnads;
}            

void CSortMgr::DoDataExchange(CDataExchange* pDX)
{
	CDialog::DoDataExchange(pDX);
	//{{AFX_DATA_MAP(CSortMgr)
	DDX_Control(pDX, IDC_LIST, m_ctrl);
	//}}AFX_DATA_MAP
}

void CSortMgr::OnDestroy()
{
	onDestroy();
	CCommands::setValue(getName()+"Sort",m_ctrl.m_iSortedCol);
}

/////////////////////////////////////////////////////////////////////////////
// CSortMgr message handlers

BOOL CSortMgr::OnInitDialog()
{
	CDlgMgr::OnInitDialog();
	m_ctrl.m_iSortedCol = CCommands::getValue(getName()+"Sort",1);
  OnInit();
  OnRefresh();
  SelectCurrent();
  return true;
}

void CSortMgr::Update()
{
  SetFocus();
  SelectCurrent();
}

void CSortMgr::OnRefresh()
{
  FillList();
	m_ctrl.DoSort();
}

void CSortMgr::OnSelectAll()
{
	int iItem = 0, iItemLast = 0;
	if (m_ctrl.GetItemCount() > 0)
	{
		while (iItem != -1)
		{
			m_ctrl.SetItemState(iItem, LVIS_SELECTED, LVIS_SELECTED);
			iItem = m_ctrl.GetNextItem(iItem, LVNI_BELOW );
			if (iItem == iItemLast)
				iItem = -1;
			iItemLast = iItem;
		}
	}
}

