// MyListCtrl.cpp : implementation file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include "stdafx.h"
//#include "resource.h"
#include "Commands.h"
#include "TagsListCtrl.h"
#include "DlgWinMgr.h"
#include "TagsListDP.h"
#include "tags\entry.h"
#include <COMMCTRL.H>
#include <afxcmn.h>

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

extern tagFile TagFile;

/////////////////////////////////////////////////////////////////////////////
// CTagsListCtrl

CTagsListCtrl::CTagsListCtrl()
{
  m_manager = NULL;
}

BEGIN_MESSAGE_MAP(CTagsListCtrl, CTreeCtrl)
	//{{AFX_MSG_MAP(CTagsListCtrl)
	ON_NOTIFY_REFLECT(NM_DBLCLK, OnDblclk)
	ON_WM_KEYDOWN()
	ON_WM_DESTROY()
	//}}AFX_MSG_MAP
END_MESSAGE_MAP()

/////////////////////////////////////////////////////////////////////////////
// CTagsListCtrl message handlers
void CTagsListCtrl::OnDestroy()
{
	CImageList	*pimagelist;
	pimagelist = GetImageList(TVSIL_NORMAL);
	pimagelist->DeleteImageList();
	delete pimagelist;
}

void CTagsListCtrl::OnKeyDown(UINT nChar, UINT nRepCnt, UINT nFlags)
{
  if( nChar  == VK_RETURN)
  {
    OnDblclk(0,0);
    return;
  }
  if( nChar == VK_ESCAPE)
  {
   	m_manager->OnESC();
    return;
  }
	CTreeCtrl::OnKeyDown(nChar, nRepCnt, nFlags);
}

void CTagsListCtrl::OnDblclk(NMHDR* pNMHDR, LRESULT* pResult)
{
  ClassItem *item = (ClassItem*)(GetItemData(GetSelectedItem()));
  if(item && item->m_line)
  {
    if(CCommands::getValue(m_manager->getName()+"AutoClose",1))
      m_manager->OnESC();
    CCommands::Get()->SimpleOpenDoc(TagFile.m_files[item->fileIndex].m_name.c_str(),item->m_line);
  }
}

