// Jungler.h
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru

#ifndef __JUNGLER_H
#define __JUNGLER_H


#ifdef AJL_EXPORTS
#define AJL_API __declspec(dllexport)
#else
#define AJL_API 
//__declspec(dllimport)
#endif

//=================  FUNCTIONS

AJL_API bool AJLSubclass(LPCTSTR sender,CWnd* newWnd,HWND prevHWND);

AJL_API bool AJLUnsubclassImmediate(LPCTSTR sender,CWnd* newWnd);

AJL_API bool AJLUnsubclassBegin(LPCTSTR sender,CWnd* newWnd);
AJL_API bool AJLUnsubclassComplete(LPCTSTR sender,CWnd* newWnd);


//=================  ITERATORS
class AJL_API WndsIter
{
public:
  WndsIter() : index(0) {}
  void operator++(int) {index++;}
  operator bool();
  operator LPCTSTR();
  operator CWnd*();
  operator HWND();
  operator int() {return index;}
  CWnd* operator ->() {return this->operator CWnd*();}
protected:
  int index;
};

// MISC

AJL_API int AJLGetDllVersion();


#endif // __ADDINCOMM_H
