#if !defined(AFX_DLGWINMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_)
#define AFX_DLGWINMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// DlgWinMgr.h : header file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include "SortMgr.h"

#include <list>

using namespace std;

enum {
	COL_FILENAME = 0,
	COL_TIME,
	COL_EXT,
	COL_DIRNAME,
};

/////////////////////////////////////////////////////////////////////////////
// CDlgWinMgr dialog
struct CFileItem;

class CDlgWinMgr : public CSortMgr
{
public:
  CDlgWinMgr(list<CFileItem*>& pList):CSortMgr(),m_List(pList){avalibleCommands=AllCommnads&(~Insert);}
protected:
  virtual CString getName() {return "Windows Manager";}
  virtual void OnInit();
	virtual void FillList();
  virtual int  Sort(LPARAM lParam1, LPARAM lParam2);
  virtual void SelectCurrent();
  virtual void OnDel();
  virtual void OnSelect(CMListCtrl& ctrl);

  afx_msg void OnContextMenu( CWnd* pWnd, CPoint pos );

  list<CFileItem*>& m_List;

  DECLARE_MESSAGE_MAP()
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_DLGWINMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_)
