// LoaderJungler.cpp
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru

#include "stdafx.h"

static class AJL_Loader
{
 public:
  AJL_Loader()
  {
    g_hInst = ::LoadLibraryA("AJL.DLL");
    if(!g_hInst)
    {
      HKEY hKey;
      DWORD type;
      char *p = NULL;

      aiclGetDSCurrentUserRegKey(out_pszPath);
      strcat(out_pszPath, "\\Directories");

    if (::RegOpenKeyEx(HKEY_CURRENT_USER, out_pszPath, 0, KEY_READ, &hKey) ==
        ERROR_SUCCESS)
    {
        if (::RegQueryValueEx(hKey, "Install Dirs", 0, &type, 
            (LPBYTE)out_pszPath, &cb) == ERROR_SUCCESS)
        {
            p = strrchr(out_pszPath, '\\');
            if (p)
            {
                strcpy(p + 1, "AddIns\\");
            }
        }
        ::RegCloseKey(hKey);
    }

    if (!p)
    {
        out_pszPath[0] = '\0';
    }
  }
  ~AJL_Loader(){if(g_hInst) ::FreeLibrary(g_hInst);}
  bool IsAICLoaded(){return (g_hInst != NULL);}
 protected:
  static HINSTANCE g_hInst;
} 
g_Loader;

HINSTANCE AJL_Loader::g_hInst = NULL;

