
#include "..\stdafx.h"
#include "cppEx.h"

#include <Winbase.h>

void output(const char* str);
void output(Tag* t)
{
  if(t)
    t->print();
}


void Tag::print() {output(getName());}
void function_definition::print() 
{
  //output("function:");
  output(decl_specifier_seq);
  output(ctor_initializer);
  output(declarator);
  output(function_body);
  output("\n");
}
void class_head::print() 
{
  //output("class_head:");
  output(class_key);
  output(nested_name_specifier);
  output(m_identifier);
  output(base_clause);
}
void template_declaration::print() 
{
  //output("template_declaration:");
  output(export);
  output(template_parameter_list);
  output(declaration);
}
void class_specifier::print() 
{
  //output("class_specifier:");
  output(class_head);
  output(member_specification);
}
void simple_declaration ::print() 
{
  //output("simple_declaration:");
  output(decl_specifier_seq);
  output(init_declarator_list);
}



void cast_expression::print() 
{
  output(unary_expression);
  output(type_id);
}
void pm_expression::print() 
{
  output(tag1);
  output(" ");
  output(tag2);
}
void parameter_declaration::print() 
{
  output(decl_specifier_seq);
  output(declarator);
  output(assignment_expression);
}
void parameter_declaration_clause::print() 
{
  output(parameter_declaration_list);
  output(op_some_points);
}
void direct_declarator::print() 
{
  if(constant_expression)
  {
    output(m_direct_declarator);
    output(constant_expression);
  }
  else
  {
    output(m_direct_declarator);
    output(parameter_declaration_clause);
    output(cv_qualifier_seq);
    output(exception_specification);
  }
}
void member_declaration::print() 
{
  output(decl_specifier_seq);
  output(m_declarator);
}
void member_specification::print() 
{
  if(member_declaration)
  {
    output(member_declaration);
    output(m_member_specification);
  }
  else
  {
    output(access_specifier);
    output(m_member_specification);
  }
}
void Tag2::print() 
{      
  output(tag1);
  output(tag2);
}
