#ifndef _DSWLEXER_H
#define _DSWLEXER_H

#include <clex.h>

/* #line 15 "D:\UsefulManagers_src\Parser\dswlexer.l" */

// forward references
#include <vector>

using namespace std;

/////////////////////////////////////////////////////////////////////////////
// DswLexer

#ifndef YYDECLSPEC
#define YYDECLSPEC
#endif

class YYFAR YYDECLSPEC DswLexer : public yyflexer {
public:
	DswLexer();

protected:
	void yytables();
	virtual int yyaction(int action);

public:
/* #line 27 "D:\UsefulManagers_src\Parser\dswlexer.l" */

public: 
  DswLexer(const char* );
  ~DswLexer();

protected:
  virtual int  yygetchar();

// Attributes
protected:
  vector<FILE*>      m_files;

  void openFile(const char* str);
  void closeFile();
  
  string*          id();
  string*          phrase();

  vector<string*> strings;


};

#ifndef YYLEXNAME
#define YYLEXNAME DswLexer
#endif

#ifndef INITIAL
#define INITIAL 0
#endif

#endif
