#ifndef _DSWPARSER_H
#define _DSWPARSER_H

#include <cyacc.h>

/* #line 11 "D:\UsefulManagers_src\Parser\dswparser.y" */

// forward references
#include <string>
using namespace std;

#pragma warning ( disable : 4786 ) //identifier was truncated to 'number' characters in the debug information


#ifndef YYSTYPE
union tagYYSTYPE {
/* #line 23 "D:\UsefulManagers_src\Parser\dswparser.y" */

  string*         string; // id

};

#define YYSTYPE union tagYYSTYPE
#endif

#define PHRASE 257
#define PROJECT 258
#define DEP 259
/* #line 34 "D:\UsefulManagers_src\Parser\dswparser.y" */

#include "dswlexer.h"
#include "..\tags\entry.h"

/////////////////////////////////////////////////////////////////////////////
// DswParser

#ifndef YYDECLSPEC
#define YYDECLSPEC
#endif

class YYFAR YYDECLSPEC DswParser : public yyfparser {
public:
	DswParser();

protected:
	void yytables();
	virtual void yyaction(int action);
#ifdef YYDEBUG
	void YYFAR* yyattribute1(int index) const;
	void yyinitdebug(void YYFAR** p, int count) const;
#endif

public:
/* #line 43 "D:\UsefulManagers_src\Parser\dswparser.y" */

// Attributes
protected:
  DswLexer m_lexer;       // the lexical analyser
  
// Operations
public:
  DswParser(const char* file) : m_lexer(file)
                       {yytables();create();}
  
  // attribute commands
  void              newProject(string* project);
  void              newDepend(string* project);
  
private:  
  int               create();
  bool              normalize(string*& file);
  
  string            m_project;
  

};

#ifndef YYPARSENAME
#define YYPARSENAME DswParser
#endif

#endif
