#ifndef _LEXER_H
#define _LEXER_H

#include <clex.h>

/* #line 15 "D:\UsefulManagers_src\Parser\lexer.l" */

// forward references
#include <vector>

using namespace std;

/////////////////////////////////////////////////////////////////////////////
// Lexer

#ifndef YYDECLSPEC
#define YYDECLSPEC
#endif

class YYFAR YYDECLSPEC Lexer : public yyflexer {
public:
	Lexer();

protected:
	void yytables();
	virtual int yyaction(int action);

public:
/* #line 27 "D:\UsefulManagers_src\Parser\lexer.l" */

public: 
  Lexer(const char* );
  ~Lexer();

protected:
  virtual int  yygetchar();

// Attributes
protected:
  vector<FILE*>      m_files;

  void openFile(const char* str);
  void closeFile();
  
  string*          id();
  string*          phrase();

  vector<string*> strings;


};

#ifndef YYLEXNAME
#define YYLEXNAME Lexer
#endif

#ifndef INITIAL
#define INITIAL 0
#endif

#endif
