/*****************************************************************************
*   $Id: parse.h,v 8.1 1999/03/04 04:16:38 darren Exp $
*
*   Copyright (c) 1998-1999, Darren Hiebert
*
*   This source code is released for free distribution under the terms of the
*   GNU General Public License.
*
*    al interface to all language parsing modules.
*****************************************************************************/
#ifndef _PARSE_H
#define _PARSE_H

enum  accessType{
    ACCESS_UNDEFINED,
    ACCESS_PRIVATE,
    ACCESS_PROTECTED,
    ACCESS_PUBLIC,
    ACCESS_FRIEND,
    ACCESS_COUNT
};

enum declType{
    DECL_NONE,
    DECL_BASE,			/* base type (default) */
    DECL_CLASS,
    DECL_ENUM,
    DECL_FUNCTION,
    DECL_IGNORE,		/* non-taggable "declaration" */
    DECL_INTERFACE,
    DECL_NAMESPACE,
    DECL_STRUCT,
    DECL_UNION,
    DECL_COUNT
};


void createCTags ();
void buildCKeywordHash();
int skipToNonWhite ();

#endif	/* _PARSE_H */
