#if !defined(AFX_TAGONEFILEMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_)
#define AFX_TAGONEFILEMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_

#if _MSC_VER > 1000
#pragma once
#endif // _MSC_VER > 1000
// TagsOfFileMgr.h : header file
// COPYRIGHT (C) 1999-2000 by Mike Melnikov zmike@andnow.ru
//

#include "SortMgr.h"

enum {
	COL_KIND_TAG = 0,
	COL_LINE_TAG,
	COL_TAG_TAG,
	COL_CODE_TAG,
};

/////////////////////////////////////////////////////////////////////////////
// CTagsOfFileMgr dialog
class CTagsOfFileMgr : public CSortMgr
{
public:
  CTagsOfFileMgr(){avalibleCommands=AutoClose|SelectAll;}
protected:
  void addInTree(ClassItem& item,int kind);
  void addItems(TagVector& vect,CString name,int kind);
  void addItem(string file,int kind,CString name,int line);
  virtual CString getName() {return "FileTags Manager";}
  virtual void OnInit();
  virtual void FillList();
  virtual int  Sort(LPARAM lParam1, LPARAM lParam2);
  virtual void OnSelect(CMListCtrl& ctrl);
  virtual void onDestroy();
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(AFX_TAGONEFILEMGR_H__C1AC212C_8ABF_11D1_B145_000000000000__INCLUDED_)
