// Machine generated IDispatch wrapper class(es) created with ClassWizard
/////////////////////////////////////////////////////////////////////////////
// IListView wrapper class

class IListView : public COleDispatchDriver
{
public:
	IListView() {}		// Calls COleDispatchDriver default constructor
	IListView(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IListView(const IListView& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetArrange();
	void SetArrange(long nNewValue);
	LPDISPATCH GetColumnHeaders();
	void SetColumnHeaders(LPDISPATCH newValue);
	LPDISPATCH GetDropHighlight();
	void SetRefDropHighlight(LPDISPATCH newValue);
	void SetDropHighlight(VARIANT* newValue);
	BOOL GetHideColumnHeaders();
	void SetHideColumnHeaders(BOOL bNewValue);
	BOOL GetHideSelection();
	void SetHideSelection(BOOL bNewValue);
	LPDISPATCH GetIcons();
	void SetRefIcons(LPDISPATCH newValue);
	void SetIcons(LPDISPATCH newValue);
	LPDISPATCH GetListItems();
	void SetListItems(LPDISPATCH newValue);
	long GetLabelEdit();
	void SetLabelEdit(long nNewValue);
	BOOL GetLabelWrap();
	void SetLabelWrap(BOOL bNewValue);
	LPDISPATCH GetMouseIcon();
	void SetMouseIcon(LPDISPATCH newValue);
	void SetRefMouseIcon(LPDISPATCH newValue);
	long GetMousePointer();
	void SetMousePointer(long nNewValue);
	BOOL GetMultiSelect();
	void SetMultiSelect(BOOL bNewValue);
	LPDISPATCH GetSelectedItem();
	void SetRefSelectedItem(LPDISPATCH newValue);
	void SetSelectedItem(VARIANT* newValue);
	LPDISPATCH GetSmallIcons();
	void SetRefSmallIcons(LPDISPATCH newValue);
	void SetSmallIcons(LPDISPATCH newValue);
	BOOL GetSorted();
	void SetSorted(BOOL bNewValue);
	short GetSortKey();
	void SetSortKey(short nNewValue);
	long GetSortOrder();
	void SetSortOrder(long nNewValue);
	long GetView();
	void SetView(long nNewValue);
	long GetOLEDragMode();
	void SetOLEDragMode(long nNewValue);
	long GetOLEDropMode();
	void SetOLEDropMode(long nNewValue);
	long GetAppearance();
	void SetAppearance(long nNewValue);
	unsigned long GetBackColor();
	void SetBackColor(unsigned long newValue);
	long GetBorderStyle();
	void SetBorderStyle(long nNewValue);
	BOOL GetEnabled();
	void SetEnabled(BOOL bNewValue);
	LPDISPATCH GetFont();
	void SetRefFont(LPDISPATCH newValue);
	unsigned long GetForeColor();
	void SetForeColor(unsigned long newValue);
	long GetHWnd();
	void SetHWnd(long nNewValue);
	LPDISPATCH FindItem(LPCTSTR sz, VARIANT* Where, VARIANT* Index, VARIANT* fPartial);
	LPDISPATCH GetFirstVisible();
	LPDISPATCH HitTest(float x, float y);
	void StartLabelEdit();
	void OLEDrag();
	void Refresh();
	BOOL GetAllowColumnReorder();
	void SetAllowColumnReorder(BOOL bNewValue);
	BOOL GetCheckboxes();
	void SetCheckboxes(BOOL bNewValue);
	BOOL GetFlatScrollBar();
	void SetFlatScrollBar(BOOL bNewValue);
	BOOL GetFullRowSelect();
	void SetFullRowSelect(BOOL bNewValue);
	BOOL GetGridLines();
	void SetGridLines(BOOL bNewValue);
	BOOL GetHotTracking();
	void SetHotTracking(BOOL bNewValue);
	BOOL GetHoverSelection();
	void SetHoverSelection(BOOL bNewValue);
	LPDISPATCH GetPicture();
	void SetPicture(LPDISPATCH newValue);
	void SetRefPicture(LPDISPATCH newValue);
	long GetPictureAlignment();
	void SetPictureAlignment(long nNewValue);
	LPDISPATCH GetColumnHeaderIcons();
	void SetRefColumnHeaderIcons(LPDISPATCH newValue);
	void SetColumnHeaderIcons(LPDISPATCH newValue);
	long GetTextBackground();
	void SetTextBackground(long nNewValue);
};
/////////////////////////////////////////////////////////////////////////////
// ListViewEvents wrapper class

class ListViewEvents : public COleDispatchDriver
{
public:
	ListViewEvents() {}		// Calls COleDispatchDriver default constructor
	ListViewEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ListViewEvents(const ListViewEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	void BeforeLabelEdit(short* Cancel);
	void AfterLabelEdit(short* Cancel, BSTR* NewString);
	void ColumnClick(LPDISPATCH ColumnHeader);
	void ItemClick(LPDISPATCH Item);
	void KeyDown(short* KeyCode, short Shift);
	void KeyUp(short* KeyCode, short Shift);
	void KeyPress(short* KeyAscii);
	void MouseDown(short Button, short Shift, long x, long y);
	void MouseMove(short Button, short Shift, long x, long y);
	void MouseUp(short Button, short Shift, long x, long y);
	void Click();
	void DblClick();
	void OLEStartDrag(LPDISPATCH* Data, long* AllowedEffects);
	void OLEGiveFeedback(long* Effect, BOOL* DefaultCursors);
	void OLESetData(LPDISPATCH* Data, short* DataFormat);
	void OLECompleteDrag(long* Effect);
	void OLEDragOver(LPDISPATCH* Data, long* Effect, short* Button, short* Shift, float* x, float* y, short* State);
	void OLEDragDrop(LPDISPATCH* Data, long* Effect, short* Button, short* Shift, float* x, float* y);
	void ItemCheck(LPDISPATCH Item);
};
/////////////////////////////////////////////////////////////////////////////
// IListItems wrapper class

class IListItems : public COleDispatchDriver
{
public:
	IListItems() {}		// Calls COleDispatchDriver default constructor
	IListItems(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IListItems(const IListItems& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	long GetCount();
	void SetCount(long nNewValue);
	LPDISPATCH Add(VARIANT* Index, VARIANT* Key, VARIANT* Text, VARIANT* Icon, VARIANT* SmallIcon);
	void Clear();
	LPDISPATCH GetItem(VARIANT* Index);
	void Remove(VARIANT* Index);
};
/////////////////////////////////////////////////////////////////////////////
// IListItem wrapper class

class IListItem : public COleDispatchDriver
{
public:
	IListItem() {}		// Calls COleDispatchDriver default constructor
	IListItem(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IListItem(const IListItem& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	CString GetText();
	void SetText(LPCTSTR lpszNewValue);
	BOOL GetGhosted();
	void SetGhosted(BOOL bNewValue);
	float GetHeight();
	void SetHeight(float newValue);
	VARIANT GetIcon();
	void SetIcon(const VARIANT& newValue);
	long GetIndex();
	void SetIndex(long nNewValue);
	CString GetKey();
	void SetKey(LPCTSTR lpszNewValue);
	float GetLeft();
	void SetLeft(float newValue);
	BOOL GetSelected();
	void SetSelected(BOOL bNewValue);
	VARIANT GetSmallIcon();
	void SetSmallIcon(const VARIANT& newValue);
	VARIANT GetTag();
	void SetTag(const VARIANT& newValue);
	float GetTop();
	void SetTop(float newValue);
	float GetWidth();
	void SetWidth(float newValue);
	CString GetSubItems(short Index);
	void SetSubItems(short Index, LPCTSTR lpszNewValue);
	LPDISPATCH CreateDragImage();
	BOOL EnsureVisible();
	void SetRefTag(const VARIANT& newValue);
	LPDISPATCH GetListSubItems();
	void SetListSubItems(LPDISPATCH newValue);
	BOOL GetChecked();
	void SetChecked(BOOL bNewValue);
	unsigned long GetForeColor();
	void SetForeColor(unsigned long newValue);
	CString GetToolTipText();
	void SetToolTipText(LPCTSTR lpszNewValue);
	BOOL GetBold();
	void SetBold(BOOL bNewValue);
};
/////////////////////////////////////////////////////////////////////////////
// IImageList wrapper class

class IImageList : public COleDispatchDriver
{
public:
	IImageList() {}		// Calls COleDispatchDriver default constructor
	IImageList(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImageList(const IImageList& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	short GetImageHeight();
	void SetImageHeight(short nNewValue);
	short GetImageWidth();
	void SetImageWidth(short nNewValue);
	unsigned long GetMaskColor();
	void SetMaskColor(unsigned long newValue);
	BOOL GetUseMaskColor();
	void SetUseMaskColor(BOOL bNewValue);
	LPDISPATCH GetListImages();
	void SetRefListImages(LPDISPATCH newValue);
	long GetHImageList();
	void SetHImageList(long nNewValue);
	unsigned long GetBackColor();
	void SetBackColor(unsigned long newValue);
	LPDISPATCH Overlay(VARIANT* Key1, VARIANT* Key2);
};
/////////////////////////////////////////////////////////////////////////////
// ImageListEvents wrapper class

class ImageListEvents : public COleDispatchDriver
{
public:
	ImageListEvents() {}		// Calls COleDispatchDriver default constructor
	ImageListEvents(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	ImageListEvents(const ImageListEvents& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
};
/////////////////////////////////////////////////////////////////////////////
// IImages wrapper class

class IImages : public COleDispatchDriver
{
public:
	IImages() {}		// Calls COleDispatchDriver default constructor
	IImages(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImages(const IImages& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	short GetCount();
	void SetCount(short nNewValue);
	LPDISPATCH Add(VARIANT* Index, VARIANT* Key, VARIANT* Picture);
	void Clear();
	LPDISPATCH GetItem(VARIANT* Index);
	void SetRefItem(VARIANT* Index, LPDISPATCH newValue);
	void Remove(VARIANT* Index);
};
/////////////////////////////////////////////////////////////////////////////
// IImage wrapper class

class IImage : public COleDispatchDriver
{
public:
	IImage() {}		// Calls COleDispatchDriver default constructor
	IImage(LPDISPATCH pDispatch) : COleDispatchDriver(pDispatch) {}
	IImage(const IImage& dispatchSrc) : COleDispatchDriver(dispatchSrc) {}

// Attributes
public:

// Operations
public:
	short GetIndex();
	void SetIndex(short nNewValue);
	CString GetKey();
	void SetKey(LPCTSTR lpszNewValue);
	VARIANT GetTag();
	void SetTag(const VARIANT& newValue);
	LPDISPATCH GetPicture();
	void SetRefPicture(LPDISPATCH newValue);
	void Draw(long hDC, VARIANT* x, VARIANT* y, VARIANT* Style);
	LPDISPATCH ExtractIcon();
	void SetRefTag(const VARIANT& newValue);
};
